import { PublicKey } from "@solana/web3.js";
import { TransactionBuilder } from "@orca-so/common-sdk";
import { ConfigOptionParams, EscrowConfigData, EscrowContext, KycCertData, PDA } from "..";
export declare class EscrowConfigClient {
    ctx: EscrowContext;
    publicKey: PublicKey;
    data: EscrowConfigData;
    pda: PDA;
    constructor(ctx: EscrowContext, publicKey: PublicKey, pda: PDA, data: EscrowConfigData);
    static getConfig(ctx: EscrowContext, configId: string | PublicKey): Promise<EscrowConfigClient>;
    setTradeConfigAuthority(deployerPubkey: PublicKey, newTradeConfigAuthority: PublicKey): Promise<TransactionBuilder>;
    setAmlPolicyAuthority(deployerPubkey: PublicKey, newAmlPolicyAuthority: PublicKey): Promise<TransactionBuilder>;
    addArbitratorCert(tradeConfigAuthority: PublicKey, arbitratorAuthority: PublicKey): Promise<TransactionBuilder>;
    removeArbitratorCert(tradeConfigAuthority: PublicKey, arbitratorAuthority: PublicKey): Promise<TransactionBuilder>;
    updateConfig(tradeConfigAuthority: PublicKey, option: ConfigOptionParams): Promise<TransactionBuilder>;
    setKycCert(amlPolicyAuthority: PublicKey, user: PublicKey, level: number): Promise<TransactionBuilder>;
    getKycCert(user: PublicKey): Promise<KycCertData>;
    isArbitrator(arbitratorAuthority: PublicKey): Promise<boolean>;
    refresh(): Promise<EscrowConfigClient>;
}
