/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type UpdateConfigParams = {
    escrowConfigPubkey: PublicKey;
    tradeConfigAuthority: PublicKey;
    quota: BN[] | null;
    bondSize?: BN[] | null;
    arbitratorCommission: BN[] | null;
    paymentDuration: BN | null;
};
export declare function updateConfig(program: Program<Escrow>, params: UpdateConfigParams): Promise<Instruction>;
